Package org.eclipse.m2m.atl.debug.core.adwp

## Class AtlMapValue

- java.lang.Object
- - org.eclipse.m2m.atl.debug.core.adwp.AtlMapValue

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.debug.core.model.IDebugElement`, `org.eclipse.debug.core.model.IValue`

    public class AtlMapValue
    extends java.lang.Object
    implements org.eclipse.debug.core.model.IValue

Map elements are special case of AtlValue There is a key and a value. AtlMapValue represents this special value

### Constructor Summary

Constructors
`AtlMapValue​(Value key, Value value, AtlDebugTarget atlDT)` This AtlMapValue is built with two value (key, value) and a debug target.

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> T` `getAdapter​(java.lang.Class<T> adapter)`
`org.eclipse.debug.core.model.IDebugTarget` `getDebugTarget()`
`org.eclipse.debug.core.ILaunch` `getLaunch()`
`java.lang.String` `getModelIdentifier()`
`java.lang.String` `getReferenceTypeName()`
`java.lang.String` `getValueString()`
`org.eclipse.debug.core.model.IVariable[]` `getVariables()` This returns the two variables composing a AtlMapValue.
`boolean` `hasVariables()`
`boolean` `isAllocated()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AtlMapValue

    public AtlMapValue​(Value key,
                       Value value,
                       AtlDebugTarget atlDT)

This AtlMapValue is built with two value (key, value) and a debug target.

Parameters:
  `key` - the key
  `value` - the value
  `atlDT` - the debug target

### Method Detail

#### getVariables

    public org.eclipse.debug.core.model.IVariable[] getVariables()
                                                          throws org.eclipse.debug.core.DebugException

This returns the two variables composing a AtlMapValue.

Specified by:
  `getVariables` in interface `org.eclipse.debug.core.model.IValue`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `IValue.getVariables()`

#### getReferenceTypeName

    public java.lang.String getReferenceTypeName()
                                          throws org.eclipse.debug.core.DebugException

Specified by:
  `getReferenceTypeName` in interface `org.eclipse.debug.core.model.IValue`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `IValue.getReferenceTypeName()`

#### getValueString

    public java.lang.String getValueString()
                                    throws org.eclipse.debug.core.DebugException

Specified by:
  `getValueString` in interface `org.eclipse.debug.core.model.IValue`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `IValue.getValueString()`

#### isAllocated

    public boolean isAllocated()
                        throws org.eclipse.debug.core.DebugException

Specified by:
  `isAllocated` in interface `org.eclipse.debug.core.model.IValue`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `IValue.isAllocated()`

#### hasVariables

    public boolean hasVariables()
                         throws org.eclipse.debug.core.DebugException

Specified by:
  `hasVariables` in interface `org.eclipse.debug.core.model.IValue`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `IValue.hasVariables()`

#### getModelIdentifier

    public java.lang.String getModelIdentifier()

Specified by:
  `getModelIdentifier` in interface `org.eclipse.debug.core.model.IDebugElement`
See Also:
  `IDebugElement.getModelIdentifier()`

#### getDebugTarget

    public org.eclipse.debug.core.model.IDebugTarget getDebugTarget()

Specified by:
  `getDebugTarget` in interface `org.eclipse.debug.core.model.IDebugElement`
See Also:
  `IDebugElement.getDebugTarget()`

#### getLaunch

    public org.eclipse.debug.core.ILaunch getLaunch()

Specified by:
  `getLaunch` in interface `org.eclipse.debug.core.model.IDebugElement`
See Also:
  `IDebugElement.getLaunch()`

#### getAdapter

    public <T> T getAdapter​(java.lang.Class<T> adapter)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
See Also:
  `IAdaptable.getAdapter(java.lang.Class)`